Bug 185983 - RFC: Graphical Distro Updater / Installer
RFC: Graphical Distro Updater / Installer
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-03-20 12:41 EST by Thomas Keller
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-21 11:40:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Keller 2006-03-20 12:41:06 EST

I don't know if it has been requested before, but I could not find any bug
regarding this in Bugzilla, so here we go.

I'm a RH/FC user since RH9 and I'm really stuck to this great OS. However, what
bugs me a bit is that I need to do a lot manual work to upgrade from one version
onto another. I could, of course, use yum to make a dist-upgrade and get all
needed packages installed, but this is not only ugly, but it requires doing
things in the proper order (e.g. updating the release package at first, ...),
and it probably doesn't do any magic Anaconda does when the "Upgrade" option is
selected from the real installer screen.
I usually update via network, so downloading and burning a full set of CD's or
even DVD's (I don't own a DVD burner) is no option for me, since they contain
many things I'll never need. Furthermore, the current procedure forces to reboot
into the installer system before the actual installation starts, thus Anaconda
again needs to get all info about my network setup before the network upgrade
procedure even starts. For the procedure itself, the system is several hours
unusable since it has to download everything first, and even on a 2MBit
connection this takes some time.
So what I'm dreaming about (and what would be really, really nice) is some kind
of graphical installer, which recognizes and uses the current settings of my
installation (network, distro, ...) and already starts downloading the selected
packages *before* it reboots. This way, I can continue to work on my old
installation until it becomes necessary to reboot into the new distro and do the
final upgrade/installation tasks.

Ideally such a GUI installer would work on any Linux distro - but this will be
probably not possible because of library dependencies, or the installer and all
other needed things are statically linked and therefor execute as-is (still
platform-specific, though). 
Maybe even Xen could be used for the installer? What about loading the installer
into another Xen client instance, which then gets somehow the ability to
communicate with the host to do all tasks?

I have absolutely no idea if and how all this should work out, I just think it
would be a very good addition to make FC even more desktop-aware. And
furthermore, maybe even a Win32 binary of the GUI installer could be provided
which would allow a forlorn Windows user to switch easily to a dual-boot /
single-Linux-boot installation, without that this user would have to download
and burn LiveCD's? Damn me, but wouldn't that be really, really cool?!

Comment 1 Jeremy Katz 2006-03-21 11:40:03 EST
The reason we do upgrades in the anaconda environment is due to the large number
of times that an upgrade actually requires newer kernel features and the newer
kernel also requires a newer userspace.  Which makes updating on the live system
extremely difficult or impossible

Note You need to log in before you can comment on or make changes to this bug.